package helper

import (
	"fmt"
	"os"
)

type errorInfo struct {
	Error string
	Index int
}

func (e *errorInfo) ErrorHandle() {
	//apiden veya txt ye yaz
}
func CreateFolder(folderName string) error {

	if _, err := os.Stat(folderName); os.IsNotExist(err) {
		// Klasör yoksa oluştur
		err := os.Mkdir(folderName, 0755)
		if err != nil {
			fmt.Println("Klasör oluşturulamadı:", err)
			return err
		}
		fmt.Println("Klasör oluşturuldu:", folderName)
	} else {
		fmt.Println("Klasör zaten var:", folderName)
	}
	return nil
}
